imports:
    - { resource: parameters.yml }
    - { resource: security.yml }
    - { resource: services.yml }

# Put parameters here that don't need to change on each machine where the app is deployed
# http://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
#parameters:
#    locale: en

framework:
    #esi:             ~
    translator:      { fallbacks: ["%locale%", "en"] }
    secret:          "%secret%"
    router:
        resource: "%kernel.root_dir%/config/routing.yml"
        strict_requirements: ~
    form:            ~
    csrf_protection: ~
    validation:      { enable_annotations: true }
    #serializer:      { enable_annotations: true }
    templating:
        engines: ['twig']
    default_locale:  "%locale%"
    trusted_hosts:   ~
    trusted_proxies: ~
    session:
        # http://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        handler_id:  session.handler.native_file
        save_path:   "%kernel.root_dir%/../var/sessions/%kernel.environment%"
    fragments:       ~
    http_method_override: true
    assets: ~
    #profiler:
    #  collect: false

# Twig Configuration
twig:
    debug:            "%kernel.debug%"
    strict_variables: "%kernel.debug%"
    date:
      format: d.m.Y
      interval_format: '%%d Tage'
    number_format:
      decimal_point: ','
      thousands_separator: '.'

# Doctrine Configuration
doctrine:
    dbal:
        driver:   pdo_mysql
        host:     "%database_host%"
        port:     "%database_port%"
        dbname:   "%database_name%"
        user:     "%database_user%"
        password: "%database_password%"
        charset:  UTF8
        mapping_types:
          enum: string

    orm:
        auto_generate_proxy_classes: "%kernel.debug%"
        naming_strategy: doctrine.orm.naming_strategy.underscore
        auto_mapping: true
        dql:
          datetime_functions:
            #date_add: AppBundle\DoctrineExtensions\Query\MySql\DateAdd
        query_cache_driver:
          type: "%st_cache_driver%"
        metadata_cache_driver:
          type: "%st_cache_driver%"
        result_cache_driver:
          type: "%st_cache_driver%"


# Swiftmailer Configuration
swiftmailer:
    transport: "%mailer_transport%"
    host:      "%mailer_host%"
    username:  "%mailer_user%"
    password:  "%mailer_password%"
    spool:     { type: memory }

assetic:
    debug:          '%kernel.debug%'
    use_controller: '%kernel.debug%'
    filters:
        cssrewrite: ~
    assets:
        headerLogo:
            inputs:
                - '@AppBundle/Resources/public/images/wlogo.png'
        footerText:
            inputs:
                - '@AppBundle/Resources/public/images/footer.svg'
stof_doctrine_extensions:
    default_locale: de_DE
    orm:
        default:
            tree: true

white_october_tcpdf:
  class: 'AppBundle\Pdf'